

function getTimeUntilMidnightRefreshment()
	currentDate = os.date("*t")
	print("current hour ", currentDate.hour)
	rewardsRefreshment = (24*60*60) - (currentDate.hour*(60*60) + currentDate.min*(60) + currentDate.sec)
	return os.date("%H:%M:%S", rewardsRefreshment)
end


function loadMainMenuKeys(self)
	self.homeButton = gui.get_node("home")
	self.classicButton = gui.get_node("classic")
	self.eventButton = gui.get_node("event")
	self.tacticsButton = gui.get_node("tactics")

	self.buttons = {}
	self.buttons.homeButton = self.homeButton
	self.buttons.classicButton = self.classicButton
	self.buttons.tacticsButton = self.tacticsButton
	self.buttons.eventButton = self.eventButton
end


function copyRewardArray(rewardArray)
	copiedArray = {}
	for k,v in pairs(rewardArray) do
		copiedArray[k] = {v[1], v[2], v[3], v[4], v[5], v[6], v[7]}
	end
	return copiedArray
end



function permutationOfArray(array, seed)
	copiedArray = copyRewardArray(array)
	math.randomseed(seed)
	purmutedArray = {}
	for i=1,10 do
		index = math.random( #copiedArray )
		table.insert(purmutedArray, copiedArray[index])
		table.remove(copiedArray, index)
	end
	print("new array size ", #purmutedArray)
	return purmutedArray
end